Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::advance_fn Struct Reference
Iterator

## Public Member Functions
template<typename I >
constexpr void | operator() (counted_iterator< I > &i, iter_difference_t< I > n) const
template<typename I >
constexpr void | operator() (I &i, iter_difference_t< I > n) const
template<typename I , typename S >
constexpr iter_difference_t< I > | operator() (I &i, iter_difference_t< I > n, S bound) const
template<typename I , typename S >
constexpr void | operator() (I &i, S bound) const

## Member Function Documentation

## ◆ operator()() [1/4]

template<typename I >

constexpr void ranges::advance_fn::operator() | ( | counted_iterator< I > & | i,
|  | iter_difference_t< I > | n
| ) |  | const
| constexpr

Precondition
  requires `input_or_output_iterator<I>`

## ◆ operator()() [2/4]

template<typename I >

constexpr void ranges::advance_fn::operator() | ( | I & | i,
|  | iter_difference_t< I > | n
| ) |  | const
| constexpr

Precondition
  requires `input_or_output_iterator<I>`

## ◆ operator()() [3/4]

template<typename I , typename S >

constexpr iter_difference_t<I> ranges::advance_fn::operator() | ( | I & | i,
|  | iter_difference_t< I > | n,
|  | S | bound
| ) |  | const
| constexpr

Precondition
  requires `sentinel_for<S, I>`

## ◆ operator()() [4/4]

template<typename I , typename S >

constexpr void ranges::advance_fn::operator() | ( | I & | i,
|  | S | bound
| ) |  | const
| constexpr

Precondition
  requires `sentinel_for<S, I>`